diff --git qt5/CMakeLists.txt qt5/CMakeLists.txt
index 837d9c2..0e9f5fa 100644
--- qt5/CMakeLists.txt
+++ qt5/CMakeLists.txt
@@ -3,6 +3,9 @@ if(QTC_QT5_ENABLE_QTQUICK2)
 else()
   set(QTC_QT5_MODULES Qt5Core Qt5Gui Qt5Widgets Qt5Svg Qt5DBus)
 endif()
+if(QTC_QT5_ENABLE_KDE)
+  set(QTC_QT5_MODULES ${QTC_QT5_MODULES} Qt5PrintSupport)
+endif()
 
 if(ENABLE_QT5 AND NOT ENABLE_QT5_DEFINED)
   # ENABLE_QT5 is not defined on the command line
@@ -66,10 +69,12 @@ if(ENABLE_QT5)
       I18n
       KDELibs4Support
       KIO
+      GuiAddons
+      IconThemes
       WidgetsAddons
       XmlGui)
 
-    # add_definitions(-DQTC_QT5_ENABLE_KDE)
+    add_definitions(-DQTC_QT5_ENABLE_KDE)
     include(KDEInstallDirs)
     include(KDECMakeSettings)
     include(KDECompilerSettings)
diff --git qt5/style/CMakeLists.txt qt5/style/CMakeLists.txt
index 7f65f8c..de4e257 100644
--- qt5/style/CMakeLists.txt
+++ qt5/style/CMakeLists.txt
@@ -67,6 +67,11 @@ add_dependencies(qtcurve-qt5 qtc_qt5_check_on_hdr qtc_qt5_check_x_on_hdr
   qtc_qt5_dialog_error_hdr qtc_qt5_dialog_information_hdr
   qtc_qt5_dialog_warning_hdr)
 target_link_libraries(qtcurve-qt5 ${QTC_QT5_LINK_LIBS} qtcurve-utils)
+target_link_libraries(qtcurve-qt5 
+    KF5::GuiAddons
+    KF5::IconThemes
+    KF5::KDELibs4Support
+)
 install(TARGETS qtcurve-qt5 LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})
 
 if(QTC_QT5_ENABLE_KDE)
diff --git qt5/style/qtcurve.cpp qt5/style/qtcurve.cpp
index febcfcf..89de3b6 100644
--- qt5/style/qtcurve.cpp
+++ qt5/style/qtcurve.cpp
@@ -74,6 +74,7 @@
 #ifdef QTC_QT5_ENABLE_KDE
 #include <KDE/KApplication>
 #include <KDE/KAboutData>
+#include <KDE/KGlobal>
 #include <KDE/KGlobalSettings>
 #include <KDE/KConfig>
 #include <KDE/KConfigGroup>
@@ -364,17 +365,13 @@ void Style::init(bool initial)
 
 #ifdef QTC_QT5_ENABLE_KDE
     if (initial) {
-        if (KGlobal::hasMainComponent()) {
-            m_componentData = KGlobal::mainComponent();
-        } else {
-            QString name(QApplication::applicationName());
+        QString name(QApplication::applicationName());
 
-            if(name.isEmpty())
-                name = qAppName();
+        if(name.isEmpty())
+            name = qAppName();
 
-            if(name.isEmpty())
-                name = "QtApp";
-        }
+        if(name.isEmpty())
+            name = "QtApp";
     }
 #endif
 
diff --git qt5/style/qtcurve_api.cpp qt5/style/qtcurve_api.cpp
index 87a927f..02637d3 100644
--- qt5/style/qtcurve_api.cpp
+++ qt5/style/qtcurve_api.cpp
@@ -67,6 +67,21 @@
 
 #include <QDebug>
 
+#ifdef QTC_QT5_ENABLE_KDE
+#include <QPrintDialog>
+#include <KDE/KApplication> 
+#include <KDE/KGlobal> 
+#include <KDE/KGlobalSettings> 
+#include <KDE/KIconLoader> 
+#include <KDE/KIcon> 
+#include <KDE/KTitleWidget> 
+#include <KDE/KTabBar> 
+#include <KDE/KFileDialog> 
+#include <KDE/KAboutApplicationDialog> 
+#endif
+
+#include <qtcurve-utils/color.h>
+
 namespace QtCurve {
 
 void
@@ -1883,7 +1898,7 @@ Style::styleHint(StyleHint hint, const QStyleOption *option,
         if (hint >= SH_CustomBase && widget) {
             if (widget->objectName() == "CE_CapacityBar") {
                 if (opts.boldProgress) {
-                    setBold(const_cast<QWidget*>widget);
+                    setBold(const_cast<QWidget*>(widget));
                 }
                 return CE_QtC_KCapacityBar;
             }
@@ -1895,12 +1910,7 @@ Style::styleHint(StyleHint hint, const QStyleOption *option,
 
 QPalette Style::standardPalette() const
 {
-#ifndef QTC_QT5_ENABLE_KDE
     return QCommonStyle::standardPalette();
-#else
-    return KGlobalSettings::createApplicationPalette(
-        KSharedConfig::openConfig(m_componentData));
-#endif
 }
 
 void
diff --git qt5/style/qtcurve_p.h qt5/style/qtcurve_p.h
index bfc7502..91e21c2 100644
--- qt5/style/qtcurve_p.h
+++ qt5/style/qtcurve_p.h
@@ -32,6 +32,9 @@
 #include <QWidget>
 #include <QSplitter>
 #include <QStatusBar>
+#ifdef QTC_QT5_ENABLE_KDE
+#include <kiconeffect.h>
+#endif
 
 class QToolBar;
 
diff --git qt5/style/qtcurve_primitive.cpp qt5/style/qtcurve_primitive.cpp
index b5a3204..51653c7 100644
--- qt5/style/qtcurve_primitive.cpp
+++ qt5/style/qtcurve_primitive.cpp
@@ -42,6 +42,11 @@
 #include "utils.h"
 #include <common/config_file.h>
 
+#ifdef QTC_QT5_ENABLE_KDE
+#include <KDE/KIcon>
+#include <KDE/KTitleWidget>
+#endif
+
 namespace QtCurve {
 bool
 Style::drawPrimitiveIndicatorTabClose(PrimitiveElement,