Index: py-bob/Portfile
===================================================================
--- py-bob/Portfile	(revision 144968)
+++ py-bob/Portfile	(working copy)
@@ -8,7 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0 
 
 name                         py-bob
-version                      2.0.6
+version                      2.0.7
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -27,7 +27,7 @@
                              and C++ and is designed to be both efficient and to \
                              reduce development time.
 
-github.setup                idiap bob 2.0.6 v
+github.setup                idiap bob 2.0.7 v
 
 python.versions              27 34
 python.default_version       27
@@ -34,8 +34,8 @@
 
 
 
-checksums                    rmd160  b89d64bc43f38dd91a60d34e1f9e7c235a227e6f \
-                             sha256  4431bd2a97f9b079e0d094fb491ddbae746881146e3d086e4914be5ef6f35f7a
+checksums                    rmd160  8e61f7fabdbf6a9ba8b5cb4499336d2f03141835 \
+                             sha256  5cb3dd0e6316d9fe026b119f6462699250a175bd19571618c3ce9d971e8e6339
 
 
 
Index: py-bob-ap/Portfile
===================================================================
--- py-bob-ap/Portfile	(revision 144968)
+++ py-bob-ap/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-ap
 version                      2.0.4
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-blitz/Portfile
===================================================================
--- py-bob-blitz/Portfile	(revision 144968)
+++ py-bob-blitz/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-blitz
 version                      2.0.8
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-core/Portfile
===================================================================
--- py-bob-core/Portfile	(revision 144968)
+++ py-bob-core/Portfile	(working copy)
@@ -8,7 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0
 
 name                         py-bob-core
-version                      2.0.5
+version                      2.0.6
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -27,7 +27,7 @@
                              and C++ and is designed to be both efficient and to \
                              reduce development time.
 
-github.setup                 bioidiap bob.core 2.0.5 v
+github.setup                 bioidiap bob.core 2.0.6 v
 
 
 python.versions              27 34
@@ -34,8 +34,8 @@
 python.default_version       27
 
 
-checksums                    rmd160  be40e75456477d679ca41f9d29ae041d8deb5e1e \
-                             sha256  8c6f78ee65092c9977075611de4829f6246553569577cd4cd57b6bbbbd3cd66a
+checksums                    rmd160  8429645dc2c00a5c59c773e19acf5eff931e7734 \
+                             sha256  7d2d2814eb3988af100dfb4876332e0f55809058c087da43068e573b3a06e614
 
 
 if {$subport ne $name} {
Index: py-bob-db-atnt/Portfile
===================================================================
--- py-bob-db-atnt/Portfile	(revision 144968)
+++ py-bob-db-atnt/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-atnt
 version                      2.0.3
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-base/Portfile
===================================================================
--- py-bob-db-base/Portfile	(revision 144968)
+++ py-bob-db-base/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-db-base
 version                      2.0.5
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-iris/Portfile
===================================================================
--- py-bob-db-iris/Portfile	(revision 144968)
+++ py-bob-db-iris/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-iris
 version                      2.0.4
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-mnist/Portfile
===================================================================
--- py-bob-db-mnist/Portfile	(revision 144968)
+++ py-bob-db-mnist/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-mnist
 version                      2.0.3
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-verification-utils/Portfile
===================================================================
--- py-bob-db-verification-utils/Portfile	(revision 144968)
+++ py-bob-db-verification-utils/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-verification-utils
 version                      2.0.3
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-wine/Portfile
===================================================================
--- py-bob-db-wine/Portfile	(revision 144968)
+++ py-bob-db-wine/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-wine
 version                      2.0.3
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-extension/Portfile
===================================================================
--- py-bob-extension/Portfile	(revision 144968)
+++ py-bob-extension/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-extension
 version                      2.0.10
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -47,4 +48,4 @@
        port:py${python.version}-setuptools \
        port:boost \
 
-}
\ No newline at end of file
+}
Index: py-bob-io-base/Portfile
===================================================================
--- py-bob-io-base/Portfile	(revision 144968)
+++ py-bob-io-base/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-io-base
 version                      2.0.7
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-io-image/Portfile
===================================================================
--- py-bob-io-image/Portfile	(revision 144968)
+++ py-bob-io-image/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-io-image
 version                      2.0.4
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-io-matlab/Portfile
===================================================================
--- py-bob-io-matlab/Portfile	(revision 144968)
+++ py-bob-io-matlab/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-io-matlab
 version                      2.0.4
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-io-video/Portfile
===================================================================
--- py-bob-io-video/Portfile	(revision 144968)
+++ py-bob-io-video/Portfile	(working copy)
@@ -8,7 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0
 
 name                         py-bob-io-video
-version                      2.0.4
+version                      2.0.5
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -28,14 +28,14 @@
                              and C++ and is designed to be both efficient and to \
                              reduce development time.
 
-github.setup                 bioidiap bob.io.video 2.0.4 v
+github.setup                 bioidiap bob.io.video 2.0.5 v
 
 
 python.versions              27 34
 python.default_version       27
 
-checksums                    rmd160  cbff5d2c5325b170a54fe0c703e6b1ee4c48bc9e \
-                             sha256  abf014d49a634ca4119775dd027366110066b730b85688fc65434226a081e79b
+checksums                    rmd160  fc269ae3e4d19327b401617bf73f2e7a95f570a3 \
+                             sha256  5c9e5ce008164839cde0ab6ac6be2536b0bdfd12d8ad2c0c5ce310870b52e8d0
 
 
 
Index: py-bob-ip-base/Portfile
===================================================================
--- py-bob-ip-base/Portfile	(revision 144968)
+++ py-bob-ip-base/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-ip-base
 version                      2.0.7
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-color/Portfile
===================================================================
--- py-bob-ip-color/Portfile	(revision 144968)
+++ py-bob-ip-color/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-ip-color
 version                      2.0.4
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-draw/Portfile
===================================================================
--- py-bob-ip-draw/Portfile	(revision 144968)
+++ py-bob-ip-draw/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-ip-draw
 version                      2.0.3
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-facedetect/Portfile
===================================================================
--- py-bob-ip-facedetect/Portfile	(revision 144968)
+++ py-bob-ip-facedetect/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-ip-facedetect
 version                      2.0.3
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-gabor/Portfile
===================================================================
--- py-bob-ip-gabor/Portfile	(revision 144968)
+++ py-bob-ip-gabor/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-ip-gabor
 version                      2.0.4
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-optflow-hornschunck/Portfile
===================================================================
--- py-bob-ip-optflow-hornschunck/Portfile	(revision 144968)
+++ py-bob-ip-optflow-hornschunck/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-ip-optflow-hornschunck
 version                      2.0.6
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-optflow-liu/Portfile
===================================================================
--- py-bob-ip-optflow-liu/Portfile	(revision 144968)
+++ py-bob-ip-optflow-liu/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-ip-optflow-liu
 version                      2.0.5
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-activation/Portfile
===================================================================
--- py-bob-learn-activation/Portfile	(revision 144968)
+++ py-bob-learn-activation/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-learn-activation
 version                      2.0.4
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-boosting/Portfile
===================================================================
--- py-bob-learn-boosting/Portfile	(revision 144968)
+++ py-bob-learn-boosting/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-learn-boosting
 version                      2.0.3
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-em/Portfile
===================================================================
--- py-bob-learn-em/Portfile	(revision 144968)
+++ py-bob-learn-em/Portfile	(working copy)
@@ -8,7 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0
 
 name                         py-bob-learn-em
-version                      2.0.6
+version                      2.0.7
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -28,14 +28,14 @@
                              and C++ and is designed to be both efficient and to \
                              reduce development time.
 
-github.setup                 bioidiap bob.learn.em 2.0.6 v
+github.setup                 bioidiap bob.learn.em 2.0.7 v
 
 
 python.versions              27 34
 python.default_version       27
 
-checksums                    rmd160  9ee6676ac280eec7c0194965bf38e567a853e7bb \
-                             sha256  18e687aa08d68f151cfd35bdc6e803b03c2dc080f2e5a5f9dcf595fb42746d28
+checksums                    rmd160  49b46b0157602073d528076842df97528e069a4e \
+                             sha256  3743817ea1bd648e158ac73706eabff693a69018333478fdff113e4785e33815
 
 
 
Index: py-bob-learn-libsvm/Portfile
===================================================================
--- py-bob-learn-libsvm/Portfile	(revision 144968)
+++ py-bob-learn-libsvm/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-learn-libsvm
 version                      2.0.3
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-linear/Portfile
===================================================================
--- py-bob-learn-linear/Portfile	(revision 144968)
+++ py-bob-learn-linear/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-learn-linear
 version                      2.0.7
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-mlp/Portfile
===================================================================
--- py-bob-learn-mlp/Portfile	(revision 144968)
+++ py-bob-learn-mlp/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-learn-mlp
 version                      2.0.6
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-math/Portfile
===================================================================
--- py-bob-math/Portfile	(revision 144968)
+++ py-bob-math/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-math
 version                      2.0.3
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-measure/Portfile
===================================================================
--- py-bob-measure/Portfile	(revision 144968)
+++ py-bob-measure/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-measure
 version                      2.0.5
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-sp/Portfile
===================================================================
--- py-bob-sp/Portfile	(revision 144968)
+++ py-bob-sp/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-sp
 version                      2.0.4
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 