Index: py-bob/Portfile
===================================================================
--- py-bob/Portfile	(revision 145681)
+++ py-bob/Portfile	(working copy)
@@ -8,7 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0 
 
 name                         py-bob
-version                      2.0.7
+version                      2.1.0
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -27,7 +27,7 @@
                              and C++ and is designed to be both efficient and to \
                              reduce development time.
 
-github.setup                idiap bob 2.0.7 v
+github.setup                idiap bob 2.1.0 v
 
 python.versions              27 34
 python.default_version       27
@@ -34,8 +34,8 @@
 
 
 
-checksums                    rmd160  8e61f7fabdbf6a9ba8b5cb4499336d2f03141835 \
-                             sha256  5cb3dd0e6316d9fe026b119f6462699250a175bd19571618c3ce9d971e8e6339
+checksums                    rmd160  465ac53ed7893cc82201928337ef1e2db60bdded \
+                             sha256  5946ad6f9332afd3d597fcb4dfab9026245448b6775f29d0f57b7ded083edd73
 
 
 
@@ -58,6 +58,7 @@
       port:vlfeat \
       port:libsvm \
       port:boost \
+      port:sox \
       port:py${python.version}-sphinx \
       port:py${python.version}-setuptools \
       port:py${python.version}-numpy \
@@ -77,6 +78,7 @@
       port:py${python.version}-bob-db-base \
       port:py${python.version}-bob-io-image \
       port:py${python.version}-bob-io-video \
+      port:py${python.version}-bob-io-audio \
       port:py${python.version}-bob-io-matlab \
       port:py${python.version}-bob-ip-base \
       port:py${python.version}-bob-ip-color \
Index: py-bob-ap/Portfile
===================================================================
--- py-bob-ap/Portfile	(revision 145681)
+++ py-bob-ap/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-ap
 version                      2.0.4
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-blitz/Portfile
===================================================================
--- py-bob-blitz/Portfile	(revision 145681)
+++ py-bob-blitz/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-blitz
 version                      2.0.8
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-core/Portfile
===================================================================
--- py-bob-core/Portfile	(revision 145681)
+++ py-bob-core/Portfile	(working copy)
@@ -8,7 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0
 
 name                         py-bob-core
-version                      2.0.6
+version                      2.1.0
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -27,7 +27,7 @@
                              and C++ and is designed to be both efficient and to \
                              reduce development time.
 
-github.setup                 bioidiap bob.core 2.0.6 v
+github.setup                 bioidiap bob.core 2.1.0 v
 
 
 python.versions              27 34
@@ -34,8 +34,8 @@
 python.default_version       27
 
 
-checksums                    rmd160  8429645dc2c00a5c59c773e19acf5eff931e7734 \
-                             sha256  7d2d2814eb3988af100dfb4876332e0f55809058c087da43068e573b3a06e614
+checksums                    rmd160  ec5320857149ad95c4e952c874c7f328efa52591 \
+                             sha256  5ded78287fe0e6165a0cf6628c73f8285e16d1e7f35d6033ab257b19c5e7ba31
 
 
 if {$subport ne $name} {
Index: py-bob-db-atnt/Portfile
===================================================================
--- py-bob-db-atnt/Portfile	(revision 145681)
+++ py-bob-db-atnt/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-atnt
 version                      2.0.3
-revision                     2
+revision                     3
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-base/Portfile
===================================================================
--- py-bob-db-base/Portfile	(revision 145681)
+++ py-bob-db-base/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-base
 version                      2.0.5
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-iris/Portfile
===================================================================
--- py-bob-db-iris/Portfile	(revision 145681)
+++ py-bob-db-iris/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-iris
 version                      2.0.4
-revision                     2
+revision                     3
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-mnist/Portfile
===================================================================
--- py-bob-db-mnist/Portfile	(revision 145681)
+++ py-bob-db-mnist/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-mnist
 version                      2.0.3
-revision                     2
+revision                     3
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-verification-utils/Portfile
===================================================================
--- py-bob-db-verification-utils/Portfile	(revision 145681)
+++ py-bob-db-verification-utils/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-verification-utils
 version                      2.0.3
-revision                     2
+revision                     3
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-db-wine/Portfile
===================================================================
--- py-bob-db-wine/Portfile	(revision 145681)
+++ py-bob-db-wine/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-db-wine
 version                      2.0.3
-revision                     2
+revision                     3
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-extension/Portfile
===================================================================
--- py-bob-extension/Portfile	(revision 145681)
+++ py-bob-extension/Portfile	(working copy)
@@ -8,8 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0
 
 name                         py-bob-extension
-version                      2.0.10
-revision                     1
+version                      2.0.11
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -27,7 +26,7 @@
                              either a pure Python API, or even a mix of C++ and python.
                              
 
-github.setup                 bioidiap bob.extension 2.0.10 v
+github.setup                 bioidiap bob.extension 2.0.11 v
 
 
 python.versions              27 34
@@ -34,8 +33,8 @@
 python.default_version       27
 
 
-checksums                    rmd160  24bd5f3f1e7474aded6a50b124114cb7a2cf28be \
-                             sha256  86501700f3e7a096a1101ce4e8406c1b1c9b97375f6b95f5712d19bec8d1e87d
+checksums                    rmd160  7ad4763c1bd1da168cfee7d4fcda6a365f68687d \
+                             sha256  39c98b8dac07d17736e511f2e976f90659e22a4134a0d29e5c5c9ce55e7e3bdc
 
 
 if {$subport ne $name} {
Index: py-bob-io-audio/Portfile
===================================================================
--- py-bob-io-audio/Portfile	(nonexistent)
+++ py-bob-io-audio/Portfile	(working copy)
@@ -0,0 +1,91 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem                   1.0
+PortGroup                    python 1.0
+PortGroup                    github 1.0
+PortGroup                    active_variants 1.1 
+PortGroup                    compiler_blacklist_versions 1.0
+
+name                         py-bob-io-audio
+version                      2.0.0
+license                      BSD
+homepage                     http://idiap.github.com/bob/
+
+categories-append            science math devel
+platforms                    darwin
+maintainers                  idiap.ch:andre.anjos \
+                             idiap.ch:laurent.el-shafey \
+                             idiap.ch:tiago.pereira
+
+
+description                  Support for Audio I/O for Bob using SoX \
+                             Bob is a signal-processing and machine learning toolbox
+
+long_description             Bob is a signal-processing and machine learning toolbox \
+                             developed at the Idiap Research Institute, in Martigny, \
+                             Switzerland. The toolbox is written in a mix of Python \
+                             and C++ and is designed to be both efficient and to \
+                             reduce development time.
+
+github.setup                 bioidiap bob.io.audio 2.0.0 v
+
+
+python.versions              27 34
+python.default_version       27
+
+checksums                    rmd160  427c3e439f19bcad72471d86acda6d1de3bf55f7 \
+                             sha256  0fbe3810c2b1e967a6f2d18e2b42bad98e9ed90fe9681116ed2a573b424e8cf9
+
+
+
+if {$subport ne $name} {
+
+    depends_build-append port:pkgconfig
+
+    depends_lib-append \
+      port:blitz \
+      port:cmake \
+      port:hdf5 \
+      port:sox \
+      port:boost \
+      port:py${python.version}-sphinx \
+      port:py${python.version}-setuptools \
+      port:py${python.version}-numpy \
+      port:py${python.version}-scipy \
+      port:py${python.version}-nose \
+      port:py${python.version}-bob-extension \
+      port:py${python.version}-bob-blitz \
+      port:py${python.version}-bob-core \
+      port:py${python.version}-bob-io-base \
+      port:py${python.version}-bob-io-matlab
+
+
+
+          # blacklist older compilers that don't support -std=c++0x (10.6 and earlier)       
+       compiler.blacklist  *gcc* {clang < 300}
+
+
+    #WORKAROUND TO AVOID CONFLICTS WITH ANOTHER BOB PACKAGES (DELETING THE ROOT __INIT_FILES)
+
+    post-destroot {
+        set filename ${destroot}${python.pkgd}/bob/__init__.py
+        if {[file exists $filename] == 1} {      
+          file delete $filename
+          file delete ${destroot}${python.pkgd}/bob/__init__.pyc
+
+          file delete ${destroot}${python.pkgd}/bob/io/__init__.py
+          file delete ${destroot}${python.pkgd}/bob/io/__init__.pyc
+        }
+
+        set filename ${destroot}${python.pkgd}/bob/__pycache__/__init__.cpython-34.pyc
+        if {[file exists $filename] == 1} {
+           file delete $filename
+           file delete ${destroot}${python.pkgd}/bob/io/__pycache__/__init__.cpython-34.pyc
+        }
+
+    }
+
+}
+
+
Index: py-bob-io-base/Portfile
===================================================================
--- py-bob-io-base/Portfile	(revision 145681)
+++ py-bob-io-base/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-io-base
 version                      2.0.7
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-io-image/Portfile
===================================================================
--- py-bob-io-image/Portfile	(revision 145681)
+++ py-bob-io-image/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-io-image
 version                      2.0.4
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-io-matlab/Portfile
===================================================================
--- py-bob-io-matlab/Portfile	(revision 145681)
+++ py-bob-io-matlab/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-io-matlab
 version                      2.0.4
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-io-video/Portfile
===================================================================
--- py-bob-io-video/Portfile	(revision 145681)
+++ py-bob-io-video/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-io-video
 version                      2.0.5
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-base/Portfile
===================================================================
--- py-bob-ip-base/Portfile	(revision 145681)
+++ py-bob-ip-base/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-ip-base
 version                      2.0.7
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-color/Portfile
===================================================================
--- py-bob-ip-color/Portfile	(revision 145681)
+++ py-bob-ip-color/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-ip-color
 version                      2.0.4
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-draw/Portfile
===================================================================
--- py-bob-ip-draw/Portfile	(revision 145681)
+++ py-bob-ip-draw/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-ip-draw
 version                      2.0.3
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-facedetect/Portfile
===================================================================
--- py-bob-ip-facedetect/Portfile	(revision 145681)
+++ py-bob-ip-facedetect/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-ip-facedetect
 version                      2.0.3
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-gabor/Portfile
===================================================================
--- py-bob-ip-gabor/Portfile	(revision 145681)
+++ py-bob-ip-gabor/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-ip-gabor
 version                      2.0.4
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-optflow-hornschunck/Portfile
===================================================================
--- py-bob-ip-optflow-hornschunck/Portfile	(revision 145681)
+++ py-bob-ip-optflow-hornschunck/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-ip-optflow-hornschunck
 version                      2.0.6
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-ip-optflow-liu/Portfile
===================================================================
--- py-bob-ip-optflow-liu/Portfile	(revision 145681)
+++ py-bob-ip-optflow-liu/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-ip-optflow-liu
 version                      2.0.5
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-activation/Portfile
===================================================================
--- py-bob-learn-activation/Portfile	(revision 145681)
+++ py-bob-learn-activation/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-learn-activation
 version                      2.0.4
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-boosting/Portfile
===================================================================
--- py-bob-learn-boosting/Portfile	(revision 145681)
+++ py-bob-learn-boosting/Portfile	(working copy)
@@ -8,8 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0
 
 name                         py-bob-learn-boosting
-version                      2.0.3
-revision                     1
+version                      2.0.4
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -29,14 +28,14 @@
                              and C++ and is designed to be both efficient and to \
                              reduce development time.
 
-github.setup                 bioidiap bob.learn.boosting 2.0.3 v
+github.setup                 bioidiap bob.learn.boosting 2.0.4 v
 
 
 python.versions              27 34
 python.default_version       27
 
-checksums                    rmd160  50e902fd30601c6611a2c8952786bf5c9a8a06a9 \
-                             sha256  2c8eb01ab31011cca66d63ad11e7753d9126067ce44d81c9e850cf3c0fb0e332
+checksums                    rmd160  527c4cde056088a5d352ec718a2d9f585489294b \
+                             sha256  601e0420bb11044f1ad38c5913d1ebebe004af9fb4b57ccbe1a3d6de0cd7947f
 
 
 
Index: py-bob-learn-em/Portfile
===================================================================
--- py-bob-learn-em/Portfile	(revision 145681)
+++ py-bob-learn-em/Portfile	(working copy)
@@ -9,6 +9,7 @@
 
 name                         py-bob-learn-em
 version                      2.0.7
+revision                     1
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-libsvm/Portfile
===================================================================
--- py-bob-learn-libsvm/Portfile	(revision 145681)
+++ py-bob-learn-libsvm/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-learn-libsvm
 version                      2.0.3
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-linear/Portfile
===================================================================
--- py-bob-learn-linear/Portfile	(revision 145681)
+++ py-bob-learn-linear/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-learn-linear
 version                      2.0.7
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-learn-mlp/Portfile
===================================================================
--- py-bob-learn-mlp/Portfile	(revision 145681)
+++ py-bob-learn-mlp/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-learn-mlp
 version                      2.0.6
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-math/Portfile
===================================================================
--- py-bob-math/Portfile	(revision 145681)
+++ py-bob-math/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-math
 version                      2.0.3
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
Index: py-bob-measure/Portfile
===================================================================
--- py-bob-measure/Portfile	(revision 145681)
+++ py-bob-measure/Portfile	(working copy)
@@ -8,8 +8,7 @@
 PortGroup                    compiler_blacklist_versions 1.0
 
 name                         py-bob-measure
-version                      2.0.5
-revision                     1
+version                      2.1.0
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 
@@ -29,14 +28,14 @@
                              and C++ and is designed to be both efficient and to \
                              reduce development time.
 
-github.setup                 bioidiap bob.measure 2.0.5 v
+github.setup                 bioidiap bob.measure 2.1.0 v
 
 
 python.versions              27 34
 python.default_version       27
 
-checksums                    rmd160  e430d67c79e9ec868bbaefb50cd08484c51d2e29 \
-                             sha256  47be3eb04c14a20864250afc1e34eb3f9ecf8ec9405866a8c47e2b6559dde612
+checksums                    rmd160  6d8fa0b38a517bcc46a2dbb715c88a6000eb2ebb \
+                             sha256  84c1e53c4678ae636cd99603421606448576a0998489e777d571f825a003ce8f
 
 
 
Index: py-bob-sp/Portfile
===================================================================
--- py-bob-sp/Portfile	(revision 145681)
+++ py-bob-sp/Portfile	(working copy)
@@ -9,7 +9,7 @@
 
 name                         py-bob-sp
 version                      2.0.4
-revision                     1
+revision                     2
 license                      BSD
 homepage                     http://idiap.github.com/bob/
 