--- src/Makefile.orig	2016-02-15 15:43:42.000000000 -0500
+++ src/Makefile	2016-02-25 21:14:01.000000000 -0500
@@ -13,19 +13,19 @@
 # OCTAVE_VERSION=-3.6.3
 
 # Matlab configuration
-#MATLABDIR = /usr/local/MATLAB/R2010b
+# MATLABDIR = /usr/local/MATLAB/R2010b
 # comment the following line if you use MATLAB on 32-bit operating system
-MEX_OPTION += -largeArrayDims
-
+# MEX_OPTION += -largeArrayDims
+# 
 # Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
-CROSS   = $(HOME)/src/mxe/usr/bin/i686-w64-mingw32.static-
-CROSS64 = $(HOME)/src/mxe/usr/bin/x86_64-w64-mingw32.static-
+# CROSS   = $(HOME)/src/mxe/usr/bin/i686-w64-mingw32.static-
+# CROSS64 = $(HOME)/src/mxe/usr/bin/x86_64-w64-mingw32.static-
 # include directory for Win32-Matlab include
-W32MAT_INC = $(HOME)/bin/win32/Matlab/R2010b/extern/include/
-W64MAT_INC = $(HOME)/bin/win64/Matlab/R2010b/extern/include/
+# W32MAT_INC = $(HOME)/bin/win32/Matlab/R2010b/extern/include/
+# W64MAT_INC = $(HOME)/bin/win64/Matlab/R2010b/extern/include/
 # path to GNUMEX libraries, available from here http://sourceforge.net/projects/gnumex/
-GNUMEX   = $(HOME)/bin/win32/gnumex
-GNUMEX64 = $(HOME)/bin/win64/gnumex
+# GNUMEX   = $(HOME)/bin/win32/gnumex
+# GNUMEX64 = $(HOME)/bin/win64/gnumex
 # building gnumex64 was difficult, these hints were quite useful: 
 # http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinZvxgC9ezp2P3UCX_a7TAUYuVsp2U40MQUV6qr%40mail.gmail.com&forum_name=gnumex-users
 # Instead of building "mex shortpath.c" and "mex uigetpath.c", I used empty m-functions within argout=argin; 
@@ -34,7 +34,7 @@
 CC      ?= gcc
 CXX     ?= g++
 CFLAGS += -fopenmp -Wall -Wextra -Wconversion -O2
-OCTMEX	= $(MKOCTFILE) --mex -lgomp
+OCTMEX	= $(MKOCTFILE) --mex
 RM      = rm
 
 # Support Debian Hardening flags
@@ -45,13 +45,13 @@
 CFLAGS      += -fPIC
 endif
 
-ifneq (Darwin,$(shell uname)) 
-CFLAGS      += -fopenmp 
-MEX_OPTION  += -lgomp 
-MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS) " CXXFLAGS\#"$(CFLAGS) "
-endif 
+# ifneq (Darwin,$(shell uname)) 
+# CFLAGS      += -fopenmp 
+# MEX_OPTION  += -lgomp 
+# MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS) " CXXFLAGS\#"$(CFLAGS) "
+# endif 
  
-MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)
+# MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)
 
 PROGS = histo_mex.mex covm_mex.mex kth_element.mex sumskipnan_mex.mex str2array.mex train.mex svmtrain_mex.mex svmpredict_mex.mex xptopen.mex 
 
@@ -59,30 +59,30 @@
 mex4o octave: $(PROGS)
 
 
-### Matlab configuration - search for a matlab directory if not defined above
-ifeq (,$(MATLABDIR))
-  ifneq (,$(shell ls -1 /usr/local/ |grep MATLAB))
-    # use oldest, typically mex-files are compatible with newer Matlab versions 
-    MATLABDIR=/usr/local/MATLAB/$(shell ls -1rt /usr/local/MATLAB/  |grep "^R20*" |head -1)
-  endif
-endif
-
-
-### if MATLABDIR has been found or defined 
-ifneq (,$(MATLABDIR))
-  ifneq (,$(shell ls -1 $(MATLABDIR)/bin/mexext))
-    MEX_EXT=$(shell $(MATLABDIR)/bin/mexext)
-    mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
-  endif
-endif
-
-
-mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
-mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
-all:    octave win32 win64 mex4m
-
-clean:
-	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex* 
+# Matlab configuration - search for a matlab directory if not defined above
+# ifeq (,$(MATLABDIR))
+#   ifneq (,$(shell ls -1 /usr/local/ |grep MATLAB))
+#     use oldest, typically mex-files are compatible with newer Matlab versions 
+#     MATLABDIR=/usr/local/MATLAB/$(shell ls -1rt /usr/local/MATLAB/  |grep "^R20*" |head -1)
+#   endif
+# endif
+# 
+# 
+# if MATLABDIR has been found or defined 
+# ifneq (,$(MATLABDIR))
+#   ifneq (,$(shell ls -1 $(MATLABDIR)/bin/mexext))
+#     MEX_EXT=$(shell $(MATLABDIR)/bin/mexext)
+#     mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
+#   endif
+# endif
+# 
+# 
+# mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
+# mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
+# all:    octave win32 win64 mex4m
+# 
+# clean:
+# 	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex* 
 
 #$(PROGS): Makefile
 
@@ -123,22 +123,22 @@
 #########################################################
 #	MATLAB/WIN32
 #########################################################
-%.obj: %.cpp
-	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"
-%.obj: %.c
-	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<" 
-
-train.mexw32 predict.mexw32:  train.obj linear.obj linear_model_matlab.obj tron.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" linear_model_matlab.obj linear.obj tron.obj -llibmx -llibmex -llibmat -lcholmod -lblas
-
-svmpredict_mex.mexw32 :  svmpredict_mex.obj svm.obj svm_model_matlab.obj 
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
-svmtrain_mex.mexw32 : svmtrain_mex.obj svm.obj svm_model_matlab.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
-
-%.mexw32: %.obj
-	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread
-
+# %.obj: %.cpp
+# 	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"
+# %.obj: %.c
+# 	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<" 
+# 
+# train.mexw32 predict.mexw32:  train.obj linear.obj linear_model_matlab.obj tron.obj
+# 	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" linear_model_matlab.obj linear.obj tron.obj -llibmx -llibmex -llibmat -lcholmod -lblas
+# 
+# svmpredict_mex.mexw32 :  svmpredict_mex.obj svm.obj svm_model_matlab.obj 
+# 	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
+# svmtrain_mex.mexw32 : svmtrain_mex.obj svm.obj svm_model_matlab.obj
+# 	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" svm_model_matlab.obj svm.obj -llibmx -llibmex -llibmat -lcholmod
+# 
+# %.mexw32: %.obj
+# 	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread
+# 
 
 
 #########################################################
@@ -146,19 +146,19 @@
 #########################################################
 
 ## ToDO: fix OpenMP support: currently -fopenmp causes Matlab to crash
-%.o64: %.cpp
-	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
-%.o64: %.c
-	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
-
-train.mexw64 predict.mexw64:  train.o64 linear.o64 linear_model_matlab.o64 tron.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" linear_model_matlab.o64 linear.o64 tron.o64 -llibmx -llibmex -llibmat -lcholmod -lblas
-
-svmpredict_mex.mexw64 :  svmpredict_mex.o64 svm.o64 svm_model_matlab.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
-svmtrain_mex.mexw64 : svmtrain_mex.o64 svm.o64 svm_model_matlab.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
-
-%.mexw64: %.o64
-	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread
-
+# %.o64: %.cpp
+# 	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
+# %.o64: %.c
+# 	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
+# 
+# train.mexw64 predict.mexw64:  train.o64 linear.o64 linear_model_matlab.o64 tron.o64
+# 	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" linear_model_matlab.o64 linear.o64 tron.o64 -llibmx -llibmex -llibmat -lcholmod -lblas
+# 
+# svmpredict_mex.mexw64 :  svmpredict_mex.o64 svm.o64 svm_model_matlab.o64
+# 	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
+# svmtrain_mex.mexw64 : svmtrain_mex.o64 svm.o64 svm_model_matlab.o64
+# 	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" svm_model_matlab.o64 svm.o64 -llibmx -llibmex -llibmat -lcholmod
+# 
+# %.mexw64: %.o64
+# 	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread
+# 